// $ $RCSfile: tables.h,v $ $Revision: 1.10 $ $Date: 2005/03/11 15:08:57

//--- Global functions defined in this module ----------------------------------
void init_tables( void );

//--- Global variables defined in this module  ---------------------------------
extern TM_PKT_ENAB pkt_enab[];   // array of structs for packet transmission control 

extern TC_len_info TC_len_tab[DIM_TC_LEN_TAB]; // array of structs for TC packet len control 

// memory init
extern unsigned int aj_DmInttab[];

// FCU
extern unsigned int FCU_PS_HK[];
extern unsigned int FCU_PS_CMD[];
extern unsigned int MIX_MAG_HK[];

// diplexer scan
extern unsigned int DIP_SCAN_param[];

// These will always be single commands:
// HRH
extern unsigned int HRS_H_CMD[];

//13db attenuation table:
extern unsigned int HRS_H_defset[];
extern unsigned int HRS_H_UWBset[];

// HRV
extern unsigned int HRS_V_CMD[];
extern unsigned int HRS_V_defset[];
extern unsigned int HRS_V_UWBset[];

// WBS H
extern unsigned int WBS_H_CMD[];

// WBS V
extern unsigned int WBS_V_CMD[];

// HRH
extern unsigned int HK_req_HRS_H ;	 // addr. 5, cmd 3400000

// HRV
extern unsigned int HK_req_HRS_V ;

// WBS H
extern unsigned int HK_req_WBS_H ;

// WBS V
extern unsigned int HK_req_WBS_V ;

extern unsigned int HRS_ATT_LIM1[];
extern unsigned int HRS_ATT_LIM2[];
extern unsigned int HRS_ATT_VAL2[];
extern unsigned int HRS_ATT_VAL1[];
extern float WBS_BANDS_ATT[2][8][4];
extern float WBS_main[2][16][4];

// Codes for HK rate. Values are the required HK period in milsecs
extern unsigned int HK_rates[];

//FCU_config_002
extern unsigned int FCU_config[];
extern unsigned int autonomy_funct_commands[];

// spectroscopy tables
extern unsigned int Spectroscopy_table[WNUM_Spectroscopy_table];		// the working spec table
extern unsigned int Conf_Spectroscopy_table[WNUM_Spectroscopy_table];	// the last configured spec table
extern unsigned int Spectroscopy_table_init[];							// default table
extern unsigned int WBS_Calibrate_Spectroscopy_table_init[WNUM_Spectroscopy_table];		// table for new wbs calibrate
extern unsigned int WBS_Calibrate_HRS_init[];

// table lens
extern unsigned int LCU_IV_param_len, FCU_PS_HK_len;
extern unsigned int Max_hk_rates, FCU_config_len;
extern unsigned int hrs_attlim1_len, hrs_attlim2_len;
//extern unsigned int hrs_attval1_len, hrs_attval2_len;
extern unsigned int DIP_SCAN_param_len, FCU_PS_HK_len, hrs_defset_len, hrs_UWBset_len;
extern unsigned int MIX_MAG_HK_len;
extern unsigned int WBS_Calibrate_HRS_init_len;

